Subject: Bug#1053 closed by Mihai Moldovan <[email-masked]> (Re: [X2Go-Dev] armhf for debian jessie repo broken)

From: [email-masked] (X2Go Bug Tracking System)
Date: Wed, 16 Nov 2016 10:55:02 +0000

This is an automatic notification regarding your Bug report
which was filed against the packages.x2go.org package:

#1053: no x2goserver for jessie with armhf architecture

It has been closed by Mihai Moldovan <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mihai Moldovan <[email-masked]> by
replying to this email.

-- 
1053: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1053
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [X2Go-Dev] armhf for debian jessie repo broken
From: Mihai Moldovan <[email-masked]>
To: Chris <[email-masked]>, [email-masked]
Date: Wed, 16 Nov 2016 11:53:44 +0100

Control: tag -1 not-a-bug
Control: close -1

On 07.07.2016 07:27 AM, Chris wrote:
> As there is no comment on my report, I would recommend to disable the 
> jessie armhf repo altogether.
> It does have unresolved dependencies and therefore is an unusable debian 
> repository.

I'm closing up this bug report, although you're right. For any architecture
other than amd64 and i386, the Debian repository is unusable. The only packages
available for these architectures are noarch (i.e., binary-independent) packages
and hence the repositories are broken for these architectures.

On the other hand, we do not advertise support for anything other than
amd64/i386 on Debian Jessie and above.

This said, I also have good news: coming up we'll be serving Raspbian (not
Debian) packages for armhf in a separate repository. Currently this repository
is only for Raspbian Jessie and nightly X2Go packages, but I will be adding
release packages later.

Mihai

Subject: no x2goserver for jessie with armhf architecture
From: Chris <[email-masked]>
To: [email-masked]
Date: Tue, 5 Jul 2016 13:04:59 +0200

Package: x2goserver, mate binding etc. in debian jessie main

In the jessie debian repo, the armhf architecture is incomplete:
there is no x2goserver (and others are missing too) in
http://packages.x2go.org/debian/dists/jessie/main/binary-armhf/

I would reckon the packages in jessie/main should be without missing 
dependencies.

However, generally you can compile for the armhf arch, as it is being 
proved by the ubuntu main stable x2go trusty ppa:
https://launchpad.net/~x2go/+archive/ubuntu/stable/+files/x2goserver_4.0.1.19-0~1064~ubuntu14.04.1_armhf.deb

Regards,
Chris